Subject: bug#11749: Acknowledgement (24.1; C-mode indentation gives wrong-type-argument error.)

From: Stefan Monnier <[email-masked]>
Date: Mon, 03 Sep 2012 14:52:21 -0400

>>> I have this:
>>> (modify-syntax-entry ?_ "w" c-mode-syntax-table)
>> I don't know if it's the culprit, or if Alan considers this is a broken
>> config, but at least for the major modes I maintain, I consider this as
>> a broken config.
> Still, it never caused any problems in Emacs 23.

A broken config is not guaranteed to trigger problems ;-)
In any case, I do not know if it's the culprit (or even if Alan
considers it to be broken).  Still, I comment you try to remove it, to
see if it helps, and if it does, try to find some other way to get the
same result (e.g. using forward-symbol instead of forward-word).

        Stefan